
%global meadversion 0.1.54
%global namedversion 0.1.54.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 7
%global namedversionrel redhat-00001

%{?scl:%scl_package jsch} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.1.54.redhat-00001

Name:		%{?scl_prefix}jsch
Summary:	JSch is a pure Java implementation of SSH2
Version:	%{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: jsch-0.1.54.redhat-00001-scm-sources.zip
Source102: jsch-0.1.54.redhat-00001.jar
Source103: jsch-0.1.54.redhat-00001-project-sources.tar.gz
Source104: jsch-0.1.54.redhat-00001-sources.jar
Source105: jsch-0.1.54.redhat-00001-javadoc.jar
Source106: jsch-0.1.54.redhat-00001.pom
%endif

License:        BSD
URL:            http://www.jcraft.com/jsch/
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jsch
Group:          Development/Java


%description javadoc
Javadoc for jsch
%endif

%prep
%setup -q -n jsch -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/jsch-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jsch-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/jsch-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jsch-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jsch-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s jsch-%{namedversion} jsch)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README
%{_javadir}/jsch-%{namedversion}.jar
%{_javadir}/jsch.jar
%{_javadir}/jsch-%{namedversion}-sources.jar
%{_javadir}/jsch-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jsch
%{_javadocdir}/jsch-%{namedversion}
%endif


%changelog
* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 0.1.54-7.redhat_00001.1
- 0.1.54.redhat-00001 

* Mon Sep 03 2018 Yong Yang <yyang@redhat.com> - 0.1.54
- Init build
